Questions about new szl language packs

Bug #1844653 reported by Gunnar Hjalmarsson on 2019-09-19
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
langpack-o-matic
Undecided
Łukasz Zemczak
localechooser (Ubuntu)
Medium
Gunnar Hjalmarsson

Bug Description

Hi!

I noticed the language-pack-szl-base package in the eoan new queue, and that's good news considering this:

https://lists.ubuntu.com/archives/ubuntu-translators/2019-September/007588.html

However, if I understand it correctly, the (empty) delta language-pack-szl package needs to be uploaded too, or else you won't be able to install language-pack-szl-base due to mutual dependencies.

I would also have expected to see language-pack-gnome-szl{,-base} in the queue. Or is possibly the 5% threshold applied to the two sets separately?

Łukasz Zemczak (sil2100) wrote :

Ok, sorry for the delay regarding this one. So the base langpacks were missing as we originally expected, but the whole refresh got a bit more complicated as we never had the szl packages in the Ubuntu archives before.

That being said, I have now added the szl packages to the packageset, uploaded those to the Ubuntu archives and accepted the sources+binaries. The new language packages should be available for installation soon.

Changed in langpack-o-matic:
status: New → Fix Committed
assignee: nobody → Łukasz Zemczak (sil2100)
Grzegorz Kulik (chlodny) wrote :

Woohoo, that's some great news! Thank you! :)

Łukasz Zemczak (sil2100) wrote :

@chlodny We are now working on getting those included in main (they're in universe by default) - this should be done shortly. While we're at it, could you subscribe the following packages to ubuntu-l10n-szl (via 'Subscribe to bug mail' on each of the package's pages)? This way the bugmail regarding issues related to the packages gets delivered to the right people. Thanks!

language-pack-gnome-szl
language-pack-gnome-szl-base
language-pack-szl
language-pack-szl-base

Grzegorz Kulik (chlodny) wrote :

Done. Sorry if this is an odd question, but is this going to affect 18.04 as well?

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2019-09-19 15:38, Grzegorz Kulik wrote:
> ... is this going to affect 18.04 as well?

Simple answer: No.

It would be a nightmare to apply a new language retroactively, and we simply don't have the resources to even consider it.

Grzegorz Kulik (chlodny) wrote :

Fair enough. Another LTS is approaching, so soon it wan't be a problem anyway. :) Thank you for the information!

Gunnar Hjalmarsson (gunnarhj) wrote :

I confirmed that the Silesian language can be selected in and installed via Language Support.

Silesian should also be added to localechooser's languagelist, so it can be chosen in the installer. I failed to find a repo which matches the package; this is probably the closest:

https://code.launchpad.net/~ubuntu-core-dev/localechooser/+git/localechooser

Anyway, attached please find a debdiff instead with a proposed oneliner.

tags: added: patch
Changed in localechooser (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → In Progress
Łukasz Zemczak (sil2100) wrote :

Thanks Gunnar, Grzegorz! I have just sponsored the localechooser change.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package localechooser - 2.71ubuntu4

---------------
localechooser (2.71ubuntu4) eoan; urgency=medium

  * Add Silesian (szl) to languagelist (LP: #1844653)

 -- Gunnar Hjalmarsson <email address hidden> Thu, 19 Sep 2019 18:06:00 +0200

Changed in localechooser (Ubuntu):
status: In Progress → Fix Released
Changed in langpack-o-matic:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers